"
" Perl script to turn text into a table
"
"
" Make sure we have the perl feature
:if ! has('perl')
:    throw "ERROR: This version of Vim has no Perl feature"
:endif

"
" Define the function to do the work
"
:perl <<EOF
# Real work done here
require 'tab.pm';

sub tab_lines($$) {
    my $start = shift;
    my $end = shift;
    my $cur_buf = $main::curbuf;

    my @lines = $cur_buf->Get($start..$end);
    @lines = make_tab(@lines);
    $cur_buf->Set($start, @lines);
}
EOF

:command! -nargs=0 -range Table :perl tab_lines(<line1>, <line2>)
