:syntax clear
:syntax case ignore
:syntax case match

:syntax keyword Keyword if then else true false int
:syntax keyword Underlined print

:syntax match Identifier /[_a-zA-Z][_a-zA-Z0-9]*/
:syntax match Number /[0-9]\+/

:syntax region Comment start=/comment/ end=/end-comment/
:syntax region String  start=/"/ end=/"/ skip=/\\"/

:syntax region Todo start=/TODO:/ end=/$/ contained
:syntax region Comment start=/comment/ end=/end-comment/ contains=Todo

:syntax region PreProc start=/^#/ end=/$/ oneline 

" Clear out old syntax so as not to confuse things
:syntax clear PreProc

:syntax region PreProc start=/^#/ end=/$/ oneline contains=LineContinue
:syntax match LineContinue /\\\n.*/ contained
:highlight link LineContinue PreProc
